tokyocabinet-haskell-0.0.5: Haskell binding of Tokyo Cabinet

Safe Haskell | None

Database.TokyoCabinet.Sequence

# Documentation

class Sequence a where Source

Methods

withList :: Storable s => a s -> (Ptr LIST -> IO b) -> IO bSource

peekList' :: Storable s => Ptr LIST -> IO (a s)Source

empty :: Storable s => IO (a s)Source

smap :: (Storable s1, Storable s2) => (s1 -> s2) -> a s1 -> IO (a s2)Source

Instances

Sequence [] |
Sequence List |